FloatPropertyBase (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class FloatPropertyBase

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.FloatExpression
    - - javafx.beans.property.ReadOnlyFloatProperty
      - - javafx.beans.property.FloatProperty
        - - javafx.beans.property.FloatPropertyBase

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`
  Direct Known Subclasses:
    `SimpleFloatProperty`, `StyleableFloatProperty`

      public abstract class FloatPropertyBase
      extends FloatProperty

  The class `FloatPropertyBase` is the base class for a property wrapping a `float` value. It provides all the functionality required for a property except for the `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()` methods, which must be implemented by extending classes.
  Since:
    JavaFX 2.0
  See Also:
    `FloatProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FloatPropertyBase()` | The constructor of the `FloatPropertyBase`.
    `FloatPropertyBase​(float initialValue)` | The constructor of the `FloatPropertyBase`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
    `protected void` | `invalidated()` | The method `invalidated()` can be overridden to receive invalidation notifications.
    `String` | `toString()` | Returns a string representation of this `FloatPropertyBase` object.

    - ### Methods declared in class javafx.beans.property.FloatProperty

      `asObject, floatProperty`

    - ### Methods declared in class javafx.beans.property.ReadOnlyFloatProperty

      `readOnlyFloatProperty`

    - ### Methods declared in class javafx.beans.binding.FloatExpression

      `floatExpression, floatExpression`

    - ### Methods declared in class javafx.beans.binding.NumberExpressionBase

      `numberExpression`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.binding.NumberExpression

      `add, add, add, add, add, asString, asString, asString, divide, divide, divide, divide, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableFloatValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.beans.value.WritableFloatValue

      `get, set, setValue`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### FloatPropertyBase

          public FloatPropertyBase()

      The constructor of the `FloatPropertyBase`.

    - #### FloatPropertyBase

          public FloatPropertyBase​(float initialValue)

      The constructor of the `FloatPropertyBase`.
      Parameters:
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### fireValueChangedEvent

          protected void fireValueChangedEvent()

      Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `WritableFloatValue.set(float)` or in case of a bound property, if the binding becomes invalid.

    - #### invalidated

          protected void invalidated()

      The method `invalidated()` can be overridden to receive invalidation notifications. This is the preferred option in `Objects` defining the property, because it requires less memory. The default implementation is empty.

    - #### toString

          public String toString()

      Returns a string representation of this `FloatPropertyBase` object.
      Overrides:
        `toString` in class `FloatProperty`
      Returns:
        a string representation of this `FloatPropertyBase` object.